Loading...
Searching...
No Matches
Opm::wellhelpers::ParallelStandardWellB< Scalar > Class Template Reference

A wrapper around the B matrix for distributed wells. More...

`#include <WellHelpers.hpp>`

## Public Types

using | Block = Dune::DynamicMatrix<Scalar>
using | Matrix = Dune::BCRSMatrix<Block>

## Public Member Functions

| ParallelStandardWellB (const Matrix &B, const ParallelWellInfo< Scalar > &parallel_well_info)
template<class X, class Y>
void | mv (const X &x, Y &y) const
| y = A x
template<class X, class Y>
void | mmv (const X &x, Y &y) const
| y = A x

## Detailed Description

template<typename Scalar>
class Opm::wellhelpers::ParallelStandardWellB< Scalar >

A wrapper around the B matrix for distributed wells.

For standard wells the B matrix, is basically a multiplication of the equation of the perforated cells followed by a reduction (summation) of these to the well equations.

This class does that in the functions mv and mmv (from the DUNE matrix interface.

Template Parameters

  Scalar | The scalar used for the computation.

The documentation for this class was generated from the following files:

- opm/simulators/wells/WellHelpers.hpp
- opm/simulators/wells/WellHelpers.cpp